about summary refs log tree commit diff
path: root/pkgs
diff options
context:
space:
mode:
authorTimo Kaufmann <timokau@zoho.com>2018-12-30 12:22:17 +0100
committerGitHub <noreply@github.com>2018-12-30 12:22:17 +0100
commit30ff3e0f398ef1481f4a5f1b1bef730f0d71f712 (patch)
tree32134dd995e075cedf09c74fb41da504aa246543 /pkgs
parentbf7d1b538d0325452a5ae7bd1a8abff1e5c784f1 (diff)
downloadnixlib-30ff3e0f398ef1481f4a5f1b1bef730f0d71f712.tar
nixlib-30ff3e0f398ef1481f4a5f1b1bef730f0d71f712.tar.gz
nixlib-30ff3e0f398ef1481f4a5f1b1bef730f0d71f712.tar.bz2
nixlib-30ff3e0f398ef1481f4a5f1b1bef730f0d71f712.tar.lz
nixlib-30ff3e0f398ef1481f4a5f1b1bef730f0d71f712.tar.xz
nixlib-30ff3e0f398ef1481f4a5f1b1bef730f0d71f712.tar.zst
nixlib-30ff3e0f398ef1481f4a5f1b1bef730f0d71f712.zip
vimUtils.buildVimPlugin: fix helptag generation (#53071)
I messed that up in my refactoring in #52767, since I moved the relevant
bash code out of a function and failed to adjust the shell variable
name. Now the plugin build will fail loudly when help tag generation
fails to make sure this doesn't happen again.
Diffstat (limited to 'pkgs')
-rw-r--r--pkgs/misc/vim-plugins/build-vim-plugin.nix8
1 files changed, 7 insertions, 1 deletions
diff --git a/pkgs/misc/vim-plugins/build-vim-plugin.nix b/pkgs/misc/vim-plugins/build-vim-plugin.nix
index 2646b55de96c..fe60ad21c752 100644
--- a/pkgs/misc/vim-plugins/build-vim-plugin.nix
+++ b/pkgs/misc/vim-plugins/build-vim-plugin.nix
@@ -36,7 +36,13 @@ rec {
 
         # build help tags
         if [ -d "$target/doc" ]; then
-          ${vim}/bin/vim -N -u NONE -i NONE -n -E -s -c "helptags $1/doc" +quit! || echo "docs to build failed"
+          echo "Building help tags"
+          if ! ${vim}/bin/vim -N -u NONE -i NONE -n -E -s -c "helptags $target/doc" +quit!; then
+            echo "Failed to build help tags!"
+            exit 1
+          fi
+        else
+          echo "No docs available"
         fi
 
         if [ -n "$addonInfo" ]; then